#pragma once

#include <QObject>

#include "ROSMessageType.h"


template <class PolygonType, template <class,class...> class ContainerType >
class PolygonArray : public ROSMessageType<QString>, public ContainerType<PolygonType> {
public:
    explicit PolygonArray() : ROSMessageType<QString>(), ContainerType<PolygonType>() {}
    PolygonArray(const PolygonArray &other) : ContainerType<PolygonType>(other) {}

    QString type() const override {return typeName;}

    static const char *typeName;
};
